| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Walls
Zero-Dimensional Reactor Networks

Zero-dimensional objects adjacent to reactors. More...

Collaboration diagram for Walls:

## Detailed Description

Zero-dimensional objects adjacent to reactors.

Wall objects should be instantiated via the newWall3() function, for example:

shared_ptr<WallBase> piston = newWall3("Wall");
Cantera::newWall3
shared_ptr< WallBase > newWall3(const string &model)
Create a WallBase object of the specified type.
Definition WallFactory.cpp:48

## Classes
class | ReactorSurface
| A surface where reactions can occur that is in contact with the bulk fluid of a Reactor. More...
class | WallBase
| Base class for 'walls' (walls, pistons, etc.) connecting reactors. More...
class | Wall
| Represents a wall between between two ReactorBase objects. More...

## Functions
WallBase * | newWall (const string &model)
| Create a WallBase object of the specified type.
shared_ptr< WallBase > | newWall3 (const string &model)
| Create a WallBase object of the specified type.

## Function Documentation

## ◆ newWall()

WallBase * newWall | ( | const string & | model | ) |

Create a WallBase object of the specified type.

Deprecated:
  To be changed after Cantera 3.0; for new behavior, see newWall3().

Definition at line 41 of file WallFactory.cpp.

## ◆ newWall3()

shared_ptr< WallBase > newWall3 | ( | const string & | model | ) |

Create a WallBase object of the specified type.

Since
  New in Cantera 3.0.

Todo:
  Transition back to newWall() after Cantera 3.0

Definition at line 48 of file WallFactory.cpp.